#
# spec file for package asterisk (Version 1.8.0)
#
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl dahdi-linux dagdi-linux-devel dahdi-linux-kmp-default dahdi-tools dahdi-tools-devel db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv irqbalance kernel-default klogd krb5 less libacl libattr libcom_err libgcc41 libgsm libgsm-devel libidn libidn-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libogg libpri libpri-devel libss7 libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libxml2 libxml2-devel libzio limal limal-bootloader limal-perl linux-kernel-headers m4 make man mdadm mkinitrd mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch pcre perl perl-Bootloader perl-gettext permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline reiserfs rpm sed  speex speex-devel sqlite sqlite-devel strace sysvinit tar tcpd tcpd-devel texinfo timezone udev unixODBC unixODBC-devel unzip util-linux vim zlib zlib-devel

%define         origname     asterisk

Name:           asterisk180
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel libtiff-devel speex-devel unixODBC-devel wget 
BuildRequires: libpri libpri-devel
BuildRequires: dahdi-linux dahdi-linux-kmp-default dahdi-linux-devel dahdi-tools dahdi-tools-devel
%if 0%{?suse_version} >= 1110
BuildRequires: mISDNuser mISDNuser-devel
%else
BuildRequires: mISDN mISDN-devel mISDNuser mISDNuser-devel
%endif
BuildRequires: alsa-lib-devel
BuildRequires: bison libxml2 libxml2-devel
BuildRequires: bluez-libs
BuildRequires: doxygen
BuildRequires: libogg-devel
BuildRequires: termcap
BuildRequires: libvorbis-devel
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: newt-devel
BuildRequires: openssl-devel
BuildRequires: libspandsp1 spandsp-devel
BuildRequires: autoconf openldap2 openldap2-devel
Buildrequires: iksemel unixODBC iksemel-devel mysql-devel
BuildRequires: postgresql-devel postgresql-server tcpd tcpd-devel libss7-devel
BuildRequires: imap-devel

Requires: newt ncurses postgresql-libs speex openldap2  
Requires: postgresql-server

PreReq:      pwdutils coreutils sed grep

%if 0%{?suse_version} >= 1100
Requires:      perl >= 5.10 
%endif

URL:            http://www.asterisk.org
%define       build_h323 0
Summary:        The Asterisk Open Source PBX
Version:        1.8.0
Release:        84.5
License:        BSD License and BSD-like, GNU General Public License (GPL)
PreReq:         /usr/sbin/useradd
Group:          Productivity/Telephony/Servers
Source0:	%origname-%version.tar.bz2
Patch0:         asterisk180.patch
Patch1:         asterisk-sound.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build



%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from a PBX and more. Asterisk does voice over IP in
three protocols and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware.

Asterisk provides voicemail services with directory, call conferencing,
interactive voice response, and call queuing. It has support for
three-way calling, caller ID services, ADSI, SIP, and H.323 (as both
client and gateway).

Documentation is available on the Asterisk home page
(http://www.asterisk.org) and on the Asterisk wiki
(http://www.voip-info.org/wiki-Asterisk).



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %{build_h323}
BuildRequires: cyrus-sasl-devel
BuildRequires: openh323-devel
BuildRequires: openldap-devel
BuildRequires: SDL-devel
%endif

#%debug_package
%package alsa
Summary:        Soundcard Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk180

%description alsa
This package allows Asterisk to use a soundcard supported by ALSA as a
telephone.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %build_h323
%package h323
Summary:        Voice over IP Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk180

%description h323
This package adds support for the H.323 voice over IP (VoIP) protocol
to Asterisk.

Support for the SIP and IAX2 protocols is included in the asterisk base
package.



Authors:
--------
    Mark Spencer <markster@digium.com>

%endif
%package odbc
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk180

%description odbc
This package allows Asterisk to use read configuration data from, and
write call logs to ODBC databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if ! 0%{?suse_version} == 1010
%package pgsql
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk180

%description pgsql
This package allows Asterisk to use read configuration data from, and
write call logs to PostgreSQL databases.



Authors:
--------
    Mark Spencer <markster@digium.com>
%endif

%package dahdi
Summary:        Telephony Hardware Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk180

%description dahdi
This module allows Asterisk to use telephony hardware that is supported
by the dahdi kernel drivers. Supported hardware ranges from FXO and
FXS cards over ISDN BRI cards to T1, and E1 cards with up to four
interfaces.

See the dahdi package for details.



Authors:
--------
    Mark Spencer <markster@digium.com>
%package devel
Summary: Development files for Asterisk
Group:   Development/Libraries
PreReq: asterisk180

%description devel
This package contains the header files and libraries necessary for
developing applications which use asterisk.

Install asterisk-devel if you want to develop applications which depend on
asterisk.

Authors:
--------
    Mark Spencer <markster@digium.com>

%prep
%setup -n %origname-%{version}
%patch0 -p 0 
%patch1 -p 0

%build
./bootstrap.sh
perl -pi -e "s/-lmISDN/-lmisdn/g" configure
%configure
%{__make} menuselect.makeopts
%{__make} %{?_smp_mflags}


%install
%{__make} install DESTDIR=%{buildroot}
%{__make} samples DESTDIR=%{buildroot}

%{__install} -p -m 0644 include/asterisk.h %{buildroot}%{_includedir}
%{__install} -D -p -m 0755 contrib/init.d/rc.suse.asterisk %{buildroot}%{_initrddir}/asterisk180

# get rid of stuff we really don't need - maybe put it in %doc
#
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/moh/.asterisk-moh-freeplay-wav 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-* 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.6 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.7 2>/dev/null
# %{__rm} -rf %{buildroot}%{_localstatedir}/lib/asterisk/static-http 2>/dev/null
# %{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/agi-bin/* 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.8


%pre
/usr/sbin/groupadd -g 330 -r asterisk &>/dev/null || :
/usr/sbin/useradd  -u 330 -r -s /sbin/false -d /var/lib/asterisk -M          \
                               -c 'Asterisk PBX' -g asterisk asterisk &>/dev/null || :

%post
/sbin/chkconfig --add asterisk180
mkdir -p -m 0775 /var/run/asterisk
chown asterisk:asterisk /var/run/asterisk
chown asterisk:asterisk /var/log/asterisk
mv /etc/asterisk/manager.conf /etc/asterisk/manager.conf.bak && cat /etc/asterisk/manager.conf.bak | grep -v 'webenabled' | sed -e '/\[general\]/awebenabled = yes' > /etc/asterisk/manager.conf

%preun
%stop_on_removal
if [ $1 -eq 0 ]; then
    /sbin/service asterisk180 stop &> /dev/null || :
    /sbin/chkconfig --del asterisk180
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc BUGS CHANGES ChangeLog COPYING CREDITS doc/* configs LICENSE sample.call README* *.txt
%doc static-http 

%{_initrddir}/asterisk180

%dir %{_libdir}/asterisk
%dir %{_libdir}/asterisk/modules
%dir %{_localstatedir}/lib/asterisk/documentation
%{_libdir}/asterisk/modules/*

%{_localstatedir}/lib/asterisk/moh/*
%{_localstatedir}/lib/asterisk/static-http/*
#%{_localstatedir}/lib/asterisk/agi-bin/*
%{_localstatedir}/lib/asterisk/firmware/*
%{_localstatedir}/lib/asterisk/images/*
#%{_localstatedir}/lib/asterisk/keys/*
%{_localstatedir}/lib/asterisk/sounds/*
%{_localstatedir}/lib/asterisk/documentation/appdocsxml.dtd
%{_localstatedir}/lib/asterisk/documentation/core-en_US.xml
%dir %{_localstatedir}/log/asterisk


#%{_sbindir}/aelparse
%{_sbindir}/asterisk
%{_sbindir}/astgenkey
#%{_sbindir}/astman
%{_sbindir}/autosupport
#%{_sbindir}/muted
%{_sbindir}/rasterisk
%{_sbindir}/safe_asterisk
#%{_sbindir}/smsq
#%{_sbindir}/stereorize
#%{_sbindir}/streamplayer
%{_sbindir}/astcanary
#%{_sbindir}/check_expr
#%{_sbindir}/conf2ael
#%{_sbindir}/hashtest
#%{_sbindir}/hashtest2
/var/lib/asterisk/phoneprov/000000000000-directory.xml
/var/lib/asterisk/phoneprov/000000000000-phone.cfg
/var/lib/asterisk/phoneprov/000000000000.cfg
/var/lib/asterisk/phoneprov/polycom.xml
/var/lib/asterisk/moh/.asterisk-moh-opsound-wav*
#/usr/sbin/aelparse
#/usr/sbin/conf2ael
#/usr/sbin/refcounter
/var/lib/asterisk/phoneprov/polycom_line.xml



%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*
%{_mandir}/man8/safe_asterisk.8*
/var/spool/asterisk/voicemail/*

%dir %{_sysconfdir}/asterisk
%config(noreplace) %{_sysconfdir}/asterisk/*
%dir /var/lib/asterisk
%dir /var/lib/asterisk/agi-bin
%dir /var/lib/asterisk/firmware
%dir /var/lib/asterisk/images
%dir /var/lib/asterisk/keys
%dir /var/lib/asterisk/moh
%dir /var/lib/asterisk/phoneprov
%dir /var/lib/asterisk/sounds
%dir /var/lib/asterisk/static-http
%dir /var/spool/asterisk
%dir /var/spool/asterisk/voicemail

%files alsa
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*alsa*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/alsa.conf
%if %build_h323

%files h323
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*h323*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/h323.conf
%endif

%files odbc
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*odbc*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*odbc*

%if ! 0%{?suse_version} == 1010
%files pgsql
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*pgsql*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*pgsql*
%endif

%files dahdi
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*zap*
%{_libdir}/asterisk/modules/*dahd*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/asterisk
%dir %{_includedir}/asterisk/doxygen
%{_includedir}/asterisk.h
%{_includedir}/asterisk/*.h
%{_includedir}/asterisk/doxygen/*.h



%changelog -n asterisk180
* Thu Oct 21 2010 Carsten Schoene <cs@linux-administrator.com> - 1.8.0-1
- update to final release 1.8.0

* Mon Oct 18 2010 - vittorio@vitsoft.bz
- New release asterisk 1.8.0-rc5
* Mon Sep 27 2010 - vittorio@vitsoft.bz
- New release asterisk 1.8.0-rc2
* Mon Sep 13 2010 - vittorio@vitsoft.bz
- New release asterisk 1.8.0-beta5
* Wed Sep 01 2010 - vittorio@vitsoft.bz
- New release asterisk 1.8.0-beta4
* Fri Aug 13 2010 - vittorio@vitsoft.bz
- New release asterisk 1.8.0-beta3
* Wed Jul 28 2010 - vittorio@vitsoft.bz
- New release asterisk 1.8.0-beta2
